## WebKitCertificateInfo WebKitCertificateInfo — Boxed type to encapsulate TLS certificate information |

## Functions

WebKitCertificateInfo * | webkit_certificate_info_copy ()
void | webkit_certificate_info_free ()
GTlsCertificate * | webkit_certificate_info_get_tls_certificate ()
GTlsCertificateFlags | webkit_certificate_info_get_tls_errors ()

## Types and Values

| WebKitCertificateInfo

## Object Hierarchy

        GBoxed
        ╰── WebKitCertificateInfo

## Description

When a client loads a page over HTTPS where there is an underlying TLS error WebKit will fire a “load-failed-with-tls-errors” signal with a WebKitCertificateInfo and the host of the failing URI.

To handle this signal asynchronously you should make a copy of the WebKitCertificateInfo with `webkit_certificate_info_copy()`.

## Functions

### webkit_certificate_info_copy ()

    WebKitCertificateInfo *
    webkit_certificate_info_copy (WebKitCertificateInfo *info);

Make a copy of the WebKitCertificateInfo.

#### Parameters

info | a WebKitCertificateInfo |

#### Returns

A copy of passed in WebKitCertificateInfo.

[transfer full]

Since 2.4

### webkit_certificate_info_free ()

    void
    webkit_certificate_info_free (WebKitCertificateInfo *info);

Free the WebKitCertificateInfo.

#### Parameters

info | a WebKitCertificateInfo |

Since 2.4

### webkit_certificate_info_get_tls_certificate ()

    GTlsCertificate *
    webkit_certificate_info_get_tls_certificate
                                   (WebKitCertificateInfo *info);

Get the GTlsCertificate associated with this WebKitCertificateInfo.

#### Parameters

info | a WebKitCertificateInfo |

#### Returns

The certificate of `info` .

[transfer none]

Since 2.4

### webkit_certificate_info_get_tls_errors ()

    GTlsCertificateFlags
    webkit_certificate_info_get_tls_errors
                                   (WebKitCertificateInfo *info);

Get the GTlsCertificateFlags verification status associated with this WebKitCertificateInfo.

#### Parameters

info | a WebKitCertificateInfo |

#### Returns

The verification status of `info` .

Since 2.4

## Types and Values

### WebKitCertificateInfo

    typedef struct _WebKitCertificateInfo WebKitCertificateInfo;

## See Also

WebKitWebView, WebKitWebContext